Intent
Reads the client without changing it.
When to call it
Call this after your application has received or stored the identifier for the client.
Access boundary
Use the credential type and authentication scheme shown for this operation.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
Operational notes
Get an OAuth2 client by Client ID.
GET
/
v1
/
oauth2
/
register
/
{client_id}
Read Client
curl --request GET \
--url https://api.getruba.com/v1/oauth2/register/{client_id}import requests
url = "https://api.getruba.com/v1/oauth2/register/{client_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getruba.com/v1/oauth2/register/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
⌘I
Read Client
